--1
local sounds = require ("__base__.prototypes.entity.sounds")

local capsule_action =
{
    type = "throw",
    attack_parameters =
    {
        type = "projectile",
        activation_type = "throw",
        ammo_category = "grenade",
        cooldown = 30,
        projectile_creation_distance = 0.6,
        range = 20,
        ammo_type =
        {
            category = "grenade",
            target_type = "position",
            action =
            {
                {
                    type = "direct",
                    action_delivery =
                    {
                        type = "projectile",
                        projectile = "clustermk1",
                        starting_speed = 0.3
                    }
                },
                {
                    type = "direct",
                    action_delivery =
                    {
                        type = "instant",
                        target_effects =
                        {
                            {
                                type = "play-sound",
                                sound = sounds.throw_projectile
                            }
                        }
                    }
                }
            }
        }
    }

}



local item = table.deepcopy(data.raw["capsule"]["cluster-grenade"])
item.name = "clustermk1"
item.capsule_action = capsule_action


local cluster = {
    type = "projectile",
    name = "clustermk1",
    flags = {"not-on-map"},
    acceleration = 0.0001,
    action = {
        {
            type = "cluster",
            cluster_count = 5,
            distance = 3,
            distance_deviation = 1,
            action_delivery = {
                
				type = "projectile",
				projectile = "grenade",
				starting_speed = 0.75,
                starting_speed_deviation = .5
            }
        },

    }

}
data:extend{item,cluster}



--others
for tier=2,1000 do 

	local sounds = require ("__base__.prototypes.entity.sounds")

	local capsule_action =
	{
		type = "throw",
		attack_parameters =
		{
			type = "projectile",
			activation_type = "throw",
			ammo_category = "grenade",
			cooldown = 30,
			projectile_creation_distance = 0.6,
			range = 20,
			ammo_type =
			{
				category = "grenade",
				target_type = "position",
				action =
				{
					{
						type = "direct",
						action_delivery =
						{
							type = "projectile",
							projectile = "clustermk"..tier,
							starting_speed = 0.3
						}
					},
					{
						type = "direct",
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
								{
									type = "play-sound",
									sound = sounds.throw_projectile
								}
							}
						}
					}
				}
			}
		}

	}

	local item = table.deepcopy(data.raw["capsule"]["cluster-grenade"])
	item.name = "clustermk"..tier
	item.capsule_action = capsule_action


	local cluster = {
		type = "projectile",
		name = "clustermk"..tier,
		flags = {"not-on-map"},
		acceleration = 0.0001,
		action = {
			{
				type = "cluster",
				cluster_count = 5,
				distance = 1.5*2^tier,
				distance_deviation = 1,
				action_delivery = {
					
					type = "projectile",
					projectile = "clustermk"..tier-1,
					starting_speed = 0.75,
					starting_speed_deviation = .5
				}
			},

		}

	}
	data:extend{item,cluster}
 end